<!-- 신규 메뉴 생성 -->
<div class="modal-wrapper" id="modalWrapper" th:if="${menuDetail == null}">
	<h2 class="menu-detail-modal">메뉴 신규 등록</h2>
	<p class="menu-detail-modal-explain">신규 메뉴를 등록합니다.<br></p>
	<div class="menu-detail">
		<!--		<div class="inner">-->
		<!--			<label for="menuSeq">메뉴 순번</label>-->
		<!--			<input class="menu-seq set" type="number" name="menuSeq" id="menuSeq" placeholder="메뉴 순번(숫자)">-->
		<!--			<em class="set-explain">공란의 경우 가장 마지막 순번으로 저장되며, 중복될 시 명칭순으로 정렬</em>-->
		<!--		</div>-->
		<!--		<hr>-->
		<div class="inner">
			<label for="menuName">메뉴 이름</label>
			<input class="menu-name set" type="text" name="menuName" id="menuName" placeholder="메뉴 이름을 입력하세요.">
		</div>
		<hr>
		<div class="inner">
			<label for="menuCategory">메뉴 카테고리</label>
			<select class="" name="categoryCode" id="categoryCode" required>
				<option th:each="categoryList, status : ${categoryList}" th:value="${categoryList.categoryCode}" th:text="${categoryList.categoryName}"></option>
			</select>
		</div>
		<hr>
		<div class="inner">
			<label for="menuPrice">메뉴 금액</label>
			<input class="menu-price set" name="menuPrice" id="menuPrice" placeholder="메뉴 금액을 입력하세요." oninput="priceToAddComma();">
<!--			<em class="set-explain">숫자만 입력 가능합니다.<br>(0원 or 미입력 저장 시 "무료"로 표기됩니다.)</em>-->
		</div>
		<hr>
		<div class="inner">
			<label for="menuExplain">메뉴 설명</label>
			<textarea class="menu-explain set" name="menuExplain" id="menuExplain" cols="50" rows="2" placeholder="메뉴 설명을 입력하세요."></textarea>
		</div>
		<hr>
		<div class="inner">
			<label for="showYn">메뉴 노출</label>
			<select class="set" name="showYn" id="showYn">
				<option value="Y" selected>Y</option>
				<option value="N">N</option>
			</select>
<!--			<em class="set-explain">태블릿에 메뉴 노출 여부입니다.</em>-->
		</div>
		<hr>
		<div class="inner inner-menu-best-yn">
			<label for="bestYn">메뉴 깃발</label>
			<select class="best-yn set" name="bestYn" id="bestYn">
				<option value="Y" selected>Y</option>
				<option value="N">N</option>
			</select>
<!--			<em class="set-explain">메뉴 우측 상단에 표기되는 플래그입니다.</em>-->
		</div>
		<hr>
		<div class="inner">
			<label>메뉴 사진</label>
			<input class="menu-img" type="file" name="menuImg" id="menuImg" onchange="previewImg();" accept="image/*">
			<img class="img-apply-yn" id="imgPreview" src="/img/no-img.png">
			<label class="button btn-upload" for="menuImg">이미지 추가하기</label>
		</div>
		<hr>
		<div class="confirm-btn-area">
			<button class="apply-btn" onclick="applyContent('post');">메뉴 생성</button>
		</div>
	</div>
</div>


<!-- 기존 메뉴 수정 -->
<div class="modal-wrapper" id="modalWrapper" th:if="${menuDetail != null}">
	<input class="menu-code" type="hidden" name="menuCode" th:value="${menuDetail.menuCode}">

	<h2 class="menu-detail-modal">메뉴 상세 설정</h2>
	<p class="menu-detail-modal-explain">현재 설정되어 있는 값을 불러오며, 해당 메뉴의 정보를 업데이트 할 수 있습니다.<br>※ 메뉴 가격 수정 시 기존에 담겨있던 장바구니 금액은 변동되지 않습니다.</p>
	<div class="menu-detail">
		<!--		<div class="inner">-->
		<!--			<label for="menuSeq">메뉴 순번</label>-->
		<!--			<input class="menu-seq set" type="number" name="menuSeq" id="menuSeq" placeholder="메뉴 순번(숫자)" th:value="${menuDetail.menuSeq}">-->
		<!--			<em class="set-explain">공란의 경우 가장 마지막 순번으로 저장되며, 중복될 시 명칭순으로 정렬</em>-->
		<!--		</div>-->
		<!--		<hr>-->
		<div class="inner">
			<label for="menuName">메뉴 이름</label>
			<input class="menu-name set" type="text" name="menuName" id="menuName" placeholder="메뉴 이름을 입력하세요." th:value="${menuDetail.menuName}">
		</div>
		<hr>
		<div class="inner">
			<label for="menuCategory">메뉴 카테고리</label>
			<select class="" name="categoryCode" id="categoryCode">
				<option selected th:value="${menuDetail.categoryCode}" th:text="${menuDetail.categoryName}"></option>
				<option th:if="${menuDetail.categoryName != categoryList.categoryName}" th:each="categoryList, status : ${categoryList}" th:value="${categoryList.categoryCode}" th:text="${categoryList.categoryName}"></option>
			</select>
		</div>
		<hr>
		<div class="inner">
			<label for="menuPrice">메뉴 금액</label>
			<input class="menu-price set" name="menuPrice" id="menuPrice" placeholder="메뉴 금액을 입력하세요." th:value="${#numbers.formatInteger(menuDetail.menuPrice, 0, 'COMMA')}" oninput="priceToAddComma();">
<!--			<em class="set-explain">숫자만 입력 가능합니다.<br>(무료 제공의 경우 0원으로 입력)</em>-->
		</div>
		<hr>
		<div class="inner">
			<label for="menuExplain">메뉴 설명</label>
			<textarea class="menu-explain set" name="menuExplain" id="menuExplain" cols="50" rows="2" placeholder="메뉴 설명을 입력하세요." th:text="${menuDetail.menuExplain}"></textarea>
		</div>
		<hr>
		<div class="inner">
			<label for="showYn">메뉴 노출</label>
			<select class="set" name="showYn" id="showYn">
				<option th:value="${menuDetail.showYn}" th:text="${menuDetail.showYn}"></option>
				<option th:if="${menuDetail.showYn == 'Y'}" value="N">N</option>
				<option th:if="${menuDetail.showYn == 'N'}" value="Y">Y</option>
			</select>
<!--			<em class="set-explain">태블릿에 메뉴 노출 여부입니다.</em>-->
		</div>
		<hr>
		<div class="inner inner-menu-best-yn">
			<label for="bestYn">메뉴 깃발</label>
			<select class="best-yn set" name="bestYn" id="bestYn">
				<option th:value="${menuDetail.bestYn}" th:text="${menuDetail.bestYn}"></option>
				<option th:if="${menuDetail.bestYn == 'Y'}" value="N">N</option>
				<option th:if="${menuDetail.bestYn == 'N'}" value="Y">Y</option>
			</select>
<!--			<em class="set-explain">메뉴 우측 상단에 표기되는 플래그입니다.</em>-->
		</div>
		<hr>
		<div class="inner">
			<label>메뉴 사진</label>
			<input class="menu-img" type="file" name="menuImg" id="menuImg" accept="image/*" onchange="previewImg()">
			<img class="img-apply-yn" id="imgPreview" th:if="${menuDetail.imgCode != null}" th:src="${menuImg}"/>
			<label class="button btn-upload" for="menuImg">이미지 변경하기</label>
		</div>
		<hr>
		<div class="confirm-btn-area">
			<button class="apply-btn" onclick="applyContent('delete');">삭제</button>
			<button class="apply-btn" onclick="applyContent('put');">적용</button>
		</div>
	</div>
</div>
